Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class EquinoxSettingsTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.pde.ui.launcher.AbstractLauncherTab
              org.eclipse.pde.ui.launcher.OSGiSettingsTab
                  org.eclipse.pde.ui.launcher.EquinoxSettingsTab

All Implemented Interfaces:
  ILaunchConfigurationTab

Deprecated. use `OSGiSettingsTab`

    public class EquinoxSettingsTab

extends OSGiSettingsTab

A launch configuration tab that displays and edits the VM install launch configuration attributes.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`EquinoxSettingsTab()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.pde.ui.launcher.OSGiSettingsTab
`createControl, dispose, getId, getImage, getName, initializeFrom, performApply, setDefaults, updateLaunchConfigurationDialog, validateTab`

Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab
`activated, createStartingSpace, deactivated, isValid, scheduleUpdateJob`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EquinoxSettingsTab

    public EquinoxSettingsTab()

  Deprecated.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.